"use client";

import Image from "next/image";

import { Dock, DockIcon } from "@/components/ui/dock";

function SocialMedia() {
	const socialIcons = [
		{
			src: "/icons/WhatsApp.png",
			alt: "whatsapp",
			bg: "bg-custom-background-light",
		},
		{ src: "/icons/youtube.png", alt: "youtube", bg: "bg-[#606676]" },
		{
			src: "/icons/insta.png",
			alt: "instagram",
			bg: "bg-custom-background-light",
		},
		{
			src: "/icons/twitter.png",
			alt: "twitter",
			bg: "bg-custom-background-light",
		},
		{
			src: "/icons/face-book.png",
			alt: "facebook",
			bg: "bg-custom-background-light",
		},
	];

	return (
		<div className="relative">
			<Dock
				iconMagnification={60}
				iconDistance={100}
				className="-ml-2 mt-0 border-none blur-none filter-none backdrop-blur-none"
			>
				{socialIcons?.map((icon, index) => (
					<DockIcon
						key={index}
						className={`flex h-[16px] w-[16px] items-center justify-center rounded-full ${icon.bg}`}
					>
						<Image
							src={icon.src}
							alt={icon.alt}
							width={16}
							height={16}
							style={{ width: "auto", height: "auto" }}
						/>
					</DockIcon>
				))}
			</Dock>
		</div>
	);
}

export default SocialMedia;
